Please remove pywebkitgtk from Ubuntu

Bug #1677048 reported by Jeremy Bicha on 2017-03-28
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
pywebkitgtk (Debian)
Fix Released
Unknown
pywebkitgtk (Ubuntu)
Undecided
Unassigned

Bug Description

Debian has removed pywebkitgtk from stretch.

Packages that used it need to switch to the supported webkit2gtk. The best way to do that is by using gobject-introspection which may also mean that the app needs to be ported to gtk3, so this is quite a bit of work.

These packages that depend on pywebkitgtk have been removed from stretch:
pytrainer
rednotebook
tunesviewer

These are Ubuntu-only:
penguintv (LP: #1591348)
edubuntu-live-welcome (LP: #1591359)

Archive Admins, please remove pywebkitgtk and the five packages listed above.

These have been fixed in zesty, but may still show for a few hours in
reverse-depends src:pywebkitgtk

lernid
python-ginga

Changed in pywebkitgtk (Debian):
status: Unknown → New
Steve Langasek (vorlon) wrote :

Removing packages from zesty:
 pytrainer 1.10.2~git20160107-4 in zesty
  pytrainer 1.10.2~git20160107-4 in zesty amd64
  pytrainer 1.10.2~git20160107-4 in zesty arm64
  pytrainer 1.10.2~git20160107-4 in zesty armhf
  pytrainer 1.10.2~git20160107-4 in zesty i386
  pytrainer 1.10.2~git20160107-4 in zesty powerpc
  pytrainer 1.10.2~git20160107-4 in zesty ppc64el
  pytrainer 1.10.2~git20160107-4 in zesty s390x
Comment: Depends on obsolete python-webkit; removed from Debian testing (Debian bug #749256); LP: #1677048
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from zesty:
 rednotebook 1.10.1-1 in zesty
  rednotebook 1.10.1-1 in zesty amd64
  rednotebook 1.10.1-1 in zesty arm64
  rednotebook 1.10.1-1 in zesty armhf
  rednotebook 1.10.1-1 in zesty i386
  rednotebook 1.10.1-1 in zesty powerpc
  rednotebook 1.10.1-1 in zesty ppc64el
  rednotebook 1.10.1-1 in zesty s390x
Comment: Depends on obsolete python-webkit; removed from Debian testing (Debian bug #749259); LP: #1677048
1 package successfully removed.

Steve Langasek (vorlon) wrote :

Removing packages from zesty:
 pywebkitgtk 1.1.8-3.1 in zesty
  python-webkit 1.1.8-3.1 in zesty amd64
  python-webkit 1.1.8-3.1 in zesty arm64
  python-webkit 1.1.8-3.1 in zesty armhf
  python-webkit 1.1.8-3.1 in zesty i386
  python-webkit 1.1.8-3.1 in zesty powerpc
  python-webkit 1.1.8-3.1 in zesty ppc64el
  python-webkit 1.1.8-3.1 in zesty s390x
  python-webkit-dev 1.1.8-3.1 in zesty amd64
  python-webkit-dev 1.1.8-3.1 in zesty arm64
  python-webkit-dev 1.1.8-3.1 in zesty armhf
  python-webkit-dev 1.1.8-3.1 in zesty i386
  python-webkit-dev 1.1.8-3.1 in zesty powerpc
  python-webkit-dev 1.1.8-3.1 in zesty ppc64el
  python-webkit-dev 1.1.8-3.1 in zesty s390x
Comment: Obsolete, superseded by webkit2gtk; Debian bug #790218, LP: #1677048
1 package successfully removed.

Changed in pywebkitgtk (Ubuntu):
status: New → Fix Released
Changed in pywebkitgtk (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.